PHPExcel_Reader

# Class: PHPExcel_Reader_Gnumeric

Source Location: /PHPExcel/Reader/Gnumeric.php

### Class Overview

PHPExcel_Reader_Gnumeric

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Methods

- __construct
- canRead
- getLoadSheetsOnly
- getReadDataOnly
- getReadFilter
- listWorksheetInfo
- listWorksheetNames
- load
- loadIntoExisting
- setLoadAllSheets
- setLoadSheetsOnly
- setReadDataOnly
- setReadFilter

### Class Details

[line 45]
PHPExcel_Reader_Gnumeric

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 91]

`PHPExcel_Reader_Gnumeric __construct( )`

Create a new PHPExcel_Reader_Gnumeric

#### Tags:

access: | public

[ Top ]

### method canRead [line 196]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::canRead()
  Can the current PHPExcel_Reader_IReader read the file?

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getLoadSheetsOnly [line 131]

`mixed getLoadSheetsOnly( )`

Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

#### Tags:

access: | public

[ Top ]

### method getReadDataOnly [line 104]

`boolean getReadDataOnly( )`

Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

If false (the default) it will read data and formatting.

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 172]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 227]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method listWorksheetNames [line 307]

`void listWorksheetNames( string $pFilename)`

Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 291]

`PHPExcel load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::load()
  Loads PHPExcel from file

#### Parameters:

string | $pFilename |

[ Top ]

### method loadIntoExisting [line 339]

`PHPExcel loadIntoExisting( string $pFilename, PHPExcel $objPHPExcel)`

Loads PHPExcel from file into PHPExcel instance

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |
PHPExcel | $objPHPExcel |

[ Top ]

### method setLoadAllSheets [line 160]

`PHPExcel_Reader_Gnumeric setLoadAllSheets( )`

Set all sheets to load Tells the Reader to load all worksheets from the workbook.

#### Tags:

access: | public

[ Top ]

### method setLoadSheetsOnly [line 146]

`PHPExcel_Reader_Gnumeric setLoadSheetsOnly( [mixed $value = null])`

Set which sheets to load

#### Tags:

access: | public

#### Parameters:

mixed | $value | This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

[ Top ]

### method setReadDataOnly [line 118]

`PHPExcel_Reader_Gnumeric setReadDataOnly( [boolean $pValue = false])`

Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

Set to false (the default) to advise the Reader to read both data and formatting for cells.

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setReadFilter [line 183]

`PHPExcel_Reader_Gnumeric setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:21 +0200 by phpDocumentor 1.4.4